#! /usr/bin/env bash

SCRIPTDIR="$(dirname "$0")"
BASEDIR="$(realpath "$SCRIPTDIR"/..)"
ORIGDIR="$(pwd)"

if [ ! -f "$BASEDIR"/specs/forgecheck/test.sh ]; then
    echo "Submodule not cloned yet. Doing it now"
    cd "$BASEDIR"
    git submodule init
    if ! git submodule update; then
        echo "Failed to download submodules. Are you connected to the internet?"
        exit 1
    fi
fi

# If ./cli succeeds, it contains a path to the executable
# Otherwise it may contain build error messages
executable="$("$BASEDIR"/bin/cli)"
if [ $? -eq 0 ]; then
    "$BASEDIR"/specs/forgecheck/test.sh "$executable"
    status=$?
else
    status=1
    echo "Build failed. OUTPUT:"
    echo "$output"
fi

cd "$ORIGDIR"
exit $status
